Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class PreviewItems

    java.lang.Object
      com.tibco.bpm.web.client.model.types.PreviewItems

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class PreviewItems

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Detail of work items to retrieve preview information for.

Contains the work item ids and the fields to return in the preview data.

©2013 TIBCO Software Inc.

Since:
  2.2.0

Constructor Summary
`PreviewItems()`
`PreviewItems(java.util.List<java.lang.Long> ids)`
`PreviewItems(java.util.List<java.lang.Long> ids, java.util.ArrayList<java.lang.String> requiredFields)`

Method Summary
`java.util.List<java.lang.Long>` | `getIds()` The Work Item IDs to preview.
`java.util.ArrayList<java.lang.String>` | `getRequiredFields()` The list of required fields ( field names ) to retrieve for the preview.
`void` | `setIds(java.util.List<java.lang.Long> ids)` The Work Item IDs to preview.
`void` | `setRequiredFields(java.util.ArrayList<java.lang.String> requiredFields)` The list of required fields ( field names ) to retrieve for the preview.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreviewItems

    public PreviewItems(java.util.List<java.lang.Long> ids,
                        java.util.ArrayList<java.lang.String> requiredFields)

### PreviewItems

    public PreviewItems(java.util.List<java.lang.Long> ids)

### PreviewItems

    public PreviewItems()

Method Detail

### getIds

    public java.util.List<java.lang.Long> getIds()

  The Work Item IDs to preview.

  Returns:
    the Work Item IDs.

### setIds

    public void setIds(java.util.List<java.lang.Long> ids)

  The Work Item IDs to preview.

  Parameters:
    `ids` - The Work Item IDs to set.

### getRequiredFields

    public java.util.ArrayList<java.lang.String> getRequiredFields()

  The list of required fields ( field names ) to retrieve for the preview.

  Returns:
    the field names to retrieve for the preview.

### setRequiredFields

    public void setRequiredFields(java.util.ArrayList<java.lang.String> requiredFields)

  The list of required fields ( field names ) to retrieve for the preview.

  Parameters:
    `requiredFields` - the list of required fields ( field names ) to retrieve for the preview.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.